# bezier_iterator< V, T > Class Template Reference

`#include <_bezier.h>`

List of all members.

## Public Types

typedef V | value_type
typedef T | difference_type
typedef V | reference

## Private Attributes

difference_type | t
difference_type | dt
bezier_base< V, T > | curve

## Classes

struct | iterator_category

## Detailed Description

### template<typename V, typename T>
class bezier_iterator< V, T >

Definition at line 474 of file _bezier.h.

## Member Typedef Documentation

template<typename V, typename T>

typedef V bezier_iterator< V, T >::value_type

Definition at line 479 of file _bezier.h.

template<typename V, typename T>

typedef T bezier_iterator< V, T >::difference_type

Definition at line 480 of file _bezier.h.

template<typename V, typename T>

typedef V bezier_iterator< V, T >::reference

Definition at line 481 of file _bezier.h.

## Member Data Documentation

template<typename V, typename T>

difference_type bezier_iterator< V, T >::t `[private]`

Definition at line 484 of file _bezier.h.

template<typename V, typename T>

difference_type bezier_iterator< V, T >::dt `[private]`

Definition at line 485 of file _bezier.h.

template<typename V, typename T>

bezier_base<V,T> bezier_iterator< V, T >::curve `[private]`

Definition at line 486 of file _bezier.h.

The documentation for this class was generated from the following file:

- _bezier.h